PCRE2_SET_RECURSION_MEMORY_MANAGEMENT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_recursion_memory_management(
  pcre2_match_context *mcontext,
  void *(*private_malloc)(PCRE2_SIZE, void *),
  void (*private_free)(void *, void *), void *memory_data);

DESCRIPTION

This function sets the match context fields for custom memory management when PCRE2 is compiled to use the heap instead of the system stack for recursive function calls while matching. When PCRE2 is compiled to use the stack (the default) this function does nothing. The first argument is a match context, the second and third specify the memory allocation and freeing functions, and the final argument is an opaque value that is passed to them whenever they are called. The result of this function is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.